namespace Generator_Class_BD
{
    partial class FormSelector
    {
        /// <summary>
        /// Variable del diseñador requerida.
        /// </summary>
        private System.ComponentModel.IContainer components = null;

        /// <summary>
        /// Limpiar los recursos que se estén utilizando.
        /// </summary>
        /// <param name="disposing">true si los recursos administrados se deben eliminar; false en caso contrario, false.</param>
        protected override void Dispose(bool disposing)
        {
            if (disposing && (components != null))
            {
                components.Dispose();
            }
            base.Dispose(disposing);
        }

        #region Código generado por el Diseñador de Windows Forms

        /// <summary>
        /// Método necesario para admitir el Diseñador. No se puede modificar
        /// el contenido del método con el editor de código.
        /// </summary>
        private void InitializeComponent()
        {
            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle1 = new System.Windows.Forms.DataGridViewCellStyle();
            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle2 = new System.Windows.Forms.DataGridViewCellStyle();
            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle3 = new System.Windows.Forms.DataGridViewCellStyle();
            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle4 = new System.Windows.Forms.DataGridViewCellStyle();
            System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(FormSelector));
            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle5 = new System.Windows.Forms.DataGridViewCellStyle();
            this.groupBox1 = new System.Windows.Forms.GroupBox();
            this.dgvTablas = new System.Windows.Forms.DataGridView();
            this.colTab_Select = new System.Windows.Forms.DataGridViewCheckBoxColumn();
            this.colSchema = new System.Windows.Forms.DataGridViewTextBoxColumn();
            this.fks = new System.Windows.Forms.DataGridViewTextBoxColumn();
            this.ColTab_Id = new System.Windows.Forms.DataGridViewTextBoxColumn();
            this.colTab_Nombre = new System.Windows.Forms.DataGridViewTextBoxColumn();
            this.groupBox2 = new System.Windows.Forms.GroupBox();
            this.dgvColumn = new System.Windows.Forms.DataGridView();
            this.btnPrevius = new System.Windows.Forms.Button();
            this.lblServerName = new System.Windows.Forms.Label();
            this.lblDataBase = new System.Windows.Forms.Label();
            this.label1 = new System.Windows.Forms.Label();
            this.label2 = new System.Windows.Forms.Label();
            this.lblstrConexion = new System.Windows.Forms.Label();
            this.checkBox1 = new System.Windows.Forms.CheckBox();
            this.folderBrowserDialog1 = new System.Windows.Forms.FolderBrowserDialog();
            this.txtRuta = new System.Windows.Forms.TextBox();
            this.btnCarpeta = new System.Windows.Forms.Button();
            this.groupBox3 = new System.Windows.Forms.GroupBox();
            this.TxtSolucion = new System.Windows.Forms.TextBox();
            this.label4 = new System.Windows.Forms.Label();
            this.btnGenerar = new System.Windows.Forms.Button();
            this.btnView = new System.Windows.Forms.Button();
            this.chkListaMetodo = new System.Windows.Forms.CheckedListBox();
            this.chkClaseConexion = new System.Windows.Forms.CheckBox();
            this.txtClaseConexion = new System.Windows.Forms.TextBox();
            this.label3 = new System.Windows.Forms.Label();
            this.btnSalir = new System.Windows.Forms.Button();
            this.label5 = new System.Windows.Forms.Label();
            this.txtAutor = new System.Windows.Forms.TextBox();
            this.txtCopyright = new System.Windows.Forms.TextBox();
            this.label7 = new System.Windows.Forms.Label();
            this.groupBox6 = new System.Windows.Forms.GroupBox();
            this.rbNetCore = new System.Windows.Forms.RadioButton();
            this.tabRelaciones = new System.Windows.Forms.TabPage();
            this.grbConsultas = new System.Windows.Forms.GroupBox();
            this.dgvConsultas = new System.Windows.Forms.DataGridView();
            this.colConsultasIndice = new System.Windows.Forms.DataGridViewTextBoxColumn();
            this.colConsultasNombre = new System.Windows.Forms.DataGridViewTextBoxColumn();
            this.colConsultasbtnScript = new System.Windows.Forms.DataGridViewButtonColumn();
            this.groupBox4 = new System.Windows.Forms.GroupBox();
            this.btnAgregarRelacion = new System.Windows.Forms.Button();
            this.txtNombreObjeto = new System.Windows.Forms.TextBox();
            this.label6 = new System.Windows.Forms.Label();
            this.dgvRelaciones = new System.Windows.Forms.DataGridView();
            this.colSelect = new System.Windows.Forms.DataGridViewCheckBoxColumn();
            this.colFKNombre = new System.Windows.Forms.DataGridViewTextBoxColumn();
            this.colFKId = new System.Windows.Forms.DataGridViewTextBoxColumn();
            this.colTabla = new System.Windows.Forms.DataGridViewTextBoxColumn();
            this.colColumnas = new System.Windows.Forms.DataGridViewTextBoxColumn();
            this.tabOpciones = new System.Windows.Forms.TabControl();
            this.groupBox1.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.dgvTablas)).BeginInit();
            this.groupBox2.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.dgvColumn)).BeginInit();
            this.groupBox3.SuspendLayout();
            this.groupBox6.SuspendLayout();
            this.tabRelaciones.SuspendLayout();
            this.grbConsultas.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.dgvConsultas)).BeginInit();
            this.groupBox4.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.dgvRelaciones)).BeginInit();
            this.tabOpciones.SuspendLayout();
            this.SuspendLayout();
            // 
            // groupBox1
            // 
            this.groupBox1.Controls.Add(this.dgvTablas);
            this.groupBox1.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.groupBox1.ForeColor = System.Drawing.Color.Black;
            this.groupBox1.Location = new System.Drawing.Point(22, 128);
            this.groupBox1.Name = "groupBox1";
            this.groupBox1.Size = new System.Drawing.Size(280, 412);
            this.groupBox1.TabIndex = 3;
            this.groupBox1.TabStop = false;
            this.groupBox1.Text = "Tablas";
            // 
            // dgvTablas
            // 
            this.dgvTablas.AllowUserToDeleteRows = false;
            this.dgvTablas.AllowUserToResizeRows = false;
            dataGridViewCellStyle1.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleLeft;
            dataGridViewCellStyle1.BackColor = System.Drawing.Color.Transparent;
            dataGridViewCellStyle1.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            dataGridViewCellStyle1.ForeColor = System.Drawing.Color.Black;
            dataGridViewCellStyle1.SelectionBackColor = System.Drawing.SystemColors.Highlight;
            dataGridViewCellStyle1.SelectionForeColor = System.Drawing.SystemColors.ControlLightLight;
            dataGridViewCellStyle1.WrapMode = System.Windows.Forms.DataGridViewTriState.True;
            this.dgvTablas.ColumnHeadersDefaultCellStyle = dataGridViewCellStyle1;
            this.dgvTablas.ColumnHeadersHeightSizeMode = System.Windows.Forms.DataGridViewColumnHeadersHeightSizeMode.AutoSize;
            this.dgvTablas.Columns.AddRange(new System.Windows.Forms.DataGridViewColumn[] {
            this.colTab_Select,
            this.colSchema,
            this.fks,
            this.ColTab_Id,
            this.colTab_Nombre});
            this.dgvTablas.GridColor = System.Drawing.SystemColors.ActiveCaptionText;
            this.dgvTablas.Location = new System.Drawing.Point(13, 19);
            this.dgvTablas.MultiSelect = false;
            this.dgvTablas.Name = "dgvTablas";
            this.dgvTablas.ReadOnly = true;
            this.dgvTablas.RowHeadersVisible = false;
            this.dgvTablas.SelectionMode = System.Windows.Forms.DataGridViewSelectionMode.FullRowSelect;
            this.dgvTablas.Size = new System.Drawing.Size(253, 387);
            this.dgvTablas.TabIndex = 1;
            this.dgvTablas.CellClick += new System.Windows.Forms.DataGridViewCellEventHandler(this.dgvTablas_CellClick);
            this.dgvTablas.CellEnter += new System.Windows.Forms.DataGridViewCellEventHandler(this.dgvTablas_CellEnter);
            // 
            // colTab_Select
            // 
            this.colTab_Select.AutoSizeMode = System.Windows.Forms.DataGridViewAutoSizeColumnMode.AllCells;
            this.colTab_Select.HeaderText = "Select";
            this.colTab_Select.Name = "colTab_Select";
            this.colTab_Select.ReadOnly = true;
            this.colTab_Select.Width = 49;
            // 
            // colSchema
            // 
            this.colSchema.DataPropertyName = "schema";
            this.colSchema.HeaderText = "Schema";
            this.colSchema.Name = "colSchema";
            this.colSchema.ReadOnly = true;
            this.colSchema.Visible = false;
            // 
            // fks
            // 
            this.fks.DataPropertyName = "fks";
            this.fks.HeaderText = "Compuesta";
            this.fks.Name = "fks";
            this.fks.ReadOnly = true;
            this.fks.Visible = false;
            // 
            // ColTab_Id
            // 
            this.ColTab_Id.DataPropertyName = "table_id";
            this.ColTab_Id.HeaderText = "Id";
            this.ColTab_Id.Name = "ColTab_Id";
            this.ColTab_Id.ReadOnly = true;
            this.ColTab_Id.Visible = false;
            // 
            // colTab_Nombre
            // 
            this.colTab_Nombre.AutoSizeMode = System.Windows.Forms.DataGridViewAutoSizeColumnMode.AllCells;
            this.colTab_Nombre.DataPropertyName = "table_name";
            dataGridViewCellStyle2.ForeColor = System.Drawing.Color.Black;
            this.colTab_Nombre.DefaultCellStyle = dataGridViewCellStyle2;
            this.colTab_Nombre.HeaderText = "Tabla";
            this.colTab_Nombre.Name = "colTab_Nombre";
            this.colTab_Nombre.ReadOnly = true;
            this.colTab_Nombre.Width = 64;
            // 
            // groupBox2
            // 
            this.groupBox2.Controls.Add(this.dgvColumn);
            this.groupBox2.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.groupBox2.ForeColor = System.Drawing.Color.Black;
            this.groupBox2.Location = new System.Drawing.Point(318, 128);
            this.groupBox2.Name = "groupBox2";
            this.groupBox2.Size = new System.Drawing.Size(385, 181);
            this.groupBox2.TabIndex = 4;
            this.groupBox2.TabStop = false;
            this.groupBox2.Text = "Columnas";
            // 
            // dgvColumn
            // 
            dataGridViewCellStyle3.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleLeft;
            dataGridViewCellStyle3.BackColor = System.Drawing.Color.White;
            dataGridViewCellStyle3.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            dataGridViewCellStyle3.ForeColor = System.Drawing.SystemColors.WindowText;
            dataGridViewCellStyle3.SelectionBackColor = System.Drawing.SystemColors.Highlight;
            dataGridViewCellStyle3.SelectionForeColor = System.Drawing.SystemColors.HighlightText;
            dataGridViewCellStyle3.WrapMode = System.Windows.Forms.DataGridViewTriState.True;
            this.dgvColumn.ColumnHeadersDefaultCellStyle = dataGridViewCellStyle3;
            this.dgvColumn.ColumnHeadersHeightSizeMode = System.Windows.Forms.DataGridViewColumnHeadersHeightSizeMode.AutoSize;
            this.dgvColumn.Location = new System.Drawing.Point(15, 19);
            this.dgvColumn.Name = "dgvColumn";
            this.dgvColumn.Size = new System.Drawing.Size(325, 150);
            this.dgvColumn.TabIndex = 2;
            // 
            // btnPrevius
            // 
            this.btnPrevius.Location = new System.Drawing.Point(22, 552);
            this.btnPrevius.Name = "btnPrevius";
            this.btnPrevius.Size = new System.Drawing.Size(83, 23);
            this.btnPrevius.TabIndex = 7;
            this.btnPrevius.Text = "Atras";
            this.btnPrevius.UseVisualStyleBackColor = true;
            this.btnPrevius.Click += new System.EventHandler(this.btnPrevius_Click);
            // 
            // lblServerName
            // 
            this.lblServerName.AutoSize = true;
            this.lblServerName.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.lblServerName.ForeColor = System.Drawing.Color.Black;
            this.lblServerName.Location = new System.Drawing.Point(126, 9);
            this.lblServerName.Name = "lblServerName";
            this.lblServerName.Size = new System.Drawing.Size(76, 13);
            this.lblServerName.TabIndex = 5;
            this.lblServerName.Text = "ServerName";
            // 
            // lblDataBase
            // 
            this.lblDataBase.AutoSize = true;
            this.lblDataBase.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.lblDataBase.ForeColor = System.Drawing.Color.White;
            this.lblDataBase.Location = new System.Drawing.Point(126, 32);
            this.lblDataBase.Name = "lblDataBase";
            this.lblDataBase.Size = new System.Drawing.Size(90, 13);
            this.lblDataBase.TabIndex = 6;
            this.lblDataBase.Text = "Base de Datos";
            // 
            // label1
            // 
            this.label1.AutoSize = true;
            this.label1.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.label1.ForeColor = System.Drawing.Color.Black;
            this.label1.Location = new System.Drawing.Point(22, 9);
            this.label1.Name = "label1";
            this.label1.Size = new System.Drawing.Size(84, 13);
            this.label1.TabIndex = 7;
            this.label1.Text = "ServerName :";
            // 
            // label2
            // 
            this.label2.AutoSize = true;
            this.label2.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.label2.ForeColor = System.Drawing.Color.White;
            this.label2.Location = new System.Drawing.Point(22, 32);
            this.label2.Name = "label2";
            this.label2.Size = new System.Drawing.Size(98, 13);
            this.label2.TabIndex = 8;
            this.label2.Text = "Base de Datos :";
            // 
            // lblstrConexion
            // 
            this.lblstrConexion.AutoSize = true;
            this.lblstrConexion.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.lblstrConexion.ForeColor = System.Drawing.Color.White;
            this.lblstrConexion.Location = new System.Drawing.Point(496, 313);
            this.lblstrConexion.Name = "lblstrConexion";
            this.lblstrConexion.Size = new System.Drawing.Size(124, 13);
            this.lblstrConexion.TabIndex = 9;
            this.lblstrConexion.Text = "Cadena de Conexion";
            this.lblstrConexion.Visible = false;
            // 
            // checkBox1
            // 
            this.checkBox1.AutoSize = true;
            this.checkBox1.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.checkBox1.ForeColor = System.Drawing.Color.White;
            this.checkBox1.Location = new System.Drawing.Point(232, 115);
            this.checkBox1.Name = "checkBox1";
            this.checkBox1.Size = new System.Drawing.Size(61, 17);
            this.checkBox1.TabIndex = 2;
            this.checkBox1.Text = "Todos";
            this.checkBox1.UseVisualStyleBackColor = true;
            this.checkBox1.CheckedChanged += new System.EventHandler(this.checkBox1_CheckedChanged);
            // 
            // txtRuta
            // 
            this.txtRuta.Location = new System.Drawing.Point(295, 6);
            this.txtRuta.Name = "txtRuta";
            this.txtRuta.ReadOnly = true;
            this.txtRuta.Size = new System.Drawing.Size(270, 20);
            this.txtRuta.TabIndex = 21;
            // 
            // btnCarpeta
            // 
            this.btnCarpeta.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.btnCarpeta.ForeColor = System.Drawing.Color.Black;
            this.btnCarpeta.Location = new System.Drawing.Point(571, 3);
            this.btnCarpeta.Name = "btnCarpeta";
            this.btnCarpeta.Size = new System.Drawing.Size(122, 23);
            this.btnCarpeta.TabIndex = 1;
            this.btnCarpeta.Text = "Ubicar Carpeta Back";
            this.btnCarpeta.UseVisualStyleBackColor = true;
            this.btnCarpeta.Click += new System.EventHandler(this.btnCarpeta_Click);
            // 
            // groupBox3
            // 
            this.groupBox3.Controls.Add(this.TxtSolucion);
            this.groupBox3.Controls.Add(this.label4);
            this.groupBox3.Controls.Add(this.btnGenerar);
            this.groupBox3.Controls.Add(this.btnView);
            this.groupBox3.Controls.Add(this.chkListaMetodo);
            this.groupBox3.Controls.Add(this.chkClaseConexion);
            this.groupBox3.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.groupBox3.ForeColor = System.Drawing.Color.Black;
            this.groupBox3.Location = new System.Drawing.Point(318, 354);
            this.groupBox3.Name = "groupBox3";
            this.groupBox3.Size = new System.Drawing.Size(385, 186);
            this.groupBox3.TabIndex = 6;
            this.groupBox3.TabStop = false;
            this.groupBox3.Text = "Capas";
            // 
            // TxtSolucion
            // 
            this.TxtSolucion.Location = new System.Drawing.Point(152, 43);
            this.TxtSolucion.Name = "TxtSolucion";
            this.TxtSolucion.Size = new System.Drawing.Size(153, 20);
            this.TxtSolucion.TabIndex = 30;
            this.TxtSolucion.TextChanged += new System.EventHandler(this.TxtSolucion_TextChanged);
            // 
            // label4
            // 
            this.label4.AutoSize = true;
            this.label4.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.label4.ForeColor = System.Drawing.Color.Black;
            this.label4.Location = new System.Drawing.Point(149, 27);
            this.label4.Name = "label4";
            this.label4.Size = new System.Drawing.Size(111, 13);
            this.label4.TabIndex = 31;
            this.label4.Text = "Nombre Solucion :";
            // 
            // btnGenerar
            // 
            this.btnGenerar.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.btnGenerar.ForeColor = System.Drawing.Color.Black;
            this.btnGenerar.Location = new System.Drawing.Point(215, 155);
            this.btnGenerar.Name = "btnGenerar";
            this.btnGenerar.Size = new System.Drawing.Size(85, 25);
            this.btnGenerar.TabIndex = 6;
            this.btnGenerar.Text = "Generar";
            this.btnGenerar.UseVisualStyleBackColor = true;
            this.btnGenerar.Click += new System.EventHandler(this.btnGenerar_Click);
            // 
            // btnView
            // 
            this.btnView.Location = new System.Drawing.Point(165, 104);
            this.btnView.Name = "btnView";
            this.btnView.Size = new System.Drawing.Size(43, 23);
            this.btnView.TabIndex = 3;
            this.btnView.Text = "View";
            this.btnView.UseVisualStyleBackColor = true;
            this.btnView.Visible = false;
            this.btnView.Click += new System.EventHandler(this.btnView_Click);
            // 
            // chkListaMetodo
            // 
            this.chkListaMetodo.FormattingEnabled = true;
            this.chkListaMetodo.Location = new System.Drawing.Point(6, 27);
            this.chkListaMetodo.Name = "chkListaMetodo";
            this.chkListaMetodo.Size = new System.Drawing.Size(135, 154);
            this.chkListaMetodo.TabIndex = 1;
            // 
            // chkClaseConexion
            // 
            this.chkClaseConexion.AutoSize = true;
            this.chkClaseConexion.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.chkClaseConexion.ForeColor = System.Drawing.Color.Black;
            this.chkClaseConexion.Location = new System.Drawing.Point(165, 81);
            this.chkClaseConexion.Name = "chkClaseConexion";
            this.chkClaseConexion.Size = new System.Drawing.Size(162, 17);
            this.chkClaseConexion.TabIndex = 2;
            this.chkClaseConexion.Text = "Generar Clase Conexion";
            this.chkClaseConexion.UseVisualStyleBackColor = true;
            this.chkClaseConexion.Visible = false;
            // 
            // txtClaseConexion
            // 
            this.txtClaseConexion.Location = new System.Drawing.Point(330, 328);
            this.txtClaseConexion.Name = "txtClaseConexion";
            this.txtClaseConexion.Size = new System.Drawing.Size(159, 20);
            this.txtClaseConexion.TabIndex = 5;
            this.txtClaseConexion.Visible = false;
            this.txtClaseConexion.KeyPress += new System.Windows.Forms.KeyPressEventHandler(this.txtClaseConexion_KeyPress);
            // 
            // label3
            // 
            this.label3.AutoSize = true;
            this.label3.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.label3.ForeColor = System.Drawing.Color.Black;
            this.label3.Location = new System.Drawing.Point(327, 312);
            this.label3.Name = "label3";
            this.label3.Size = new System.Drawing.Size(173, 13);
            this.label3.TabIndex = 23;
            this.label3.Text = "Nombre de la Clase Conexion";
            this.label3.Visible = false;
            // 
            // btnSalir
            // 
            this.btnSalir.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.btnSalir.ForeColor = System.Drawing.Color.Black;
            this.btnSalir.Location = new System.Drawing.Point(533, 552);
            this.btnSalir.Name = "btnSalir";
            this.btnSalir.Size = new System.Drawing.Size(85, 23);
            this.btnSalir.TabIndex = 8;
            this.btnSalir.Text = "Salir";
            this.btnSalir.UseVisualStyleBackColor = true;
            this.btnSalir.Click += new System.EventHandler(this.btnSalir_Click);
            // 
            // label5
            // 
            this.label5.AutoSize = true;
            this.label5.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.label5.ForeColor = System.Drawing.Color.Black;
            this.label5.Location = new System.Drawing.Point(727, 8);
            this.label5.Name = "label5";
            this.label5.Size = new System.Drawing.Size(37, 13);
            this.label5.TabIndex = 24;
            this.label5.Text = "Autor";
            // 
            // txtAutor
            // 
            this.txtAutor.Location = new System.Drawing.Point(788, 5);
            this.txtAutor.Name = "txtAutor";
            this.txtAutor.Size = new System.Drawing.Size(221, 20);
            this.txtAutor.TabIndex = 25;
            // 
            // txtCopyright
            // 
            this.txtCopyright.Location = new System.Drawing.Point(788, 37);
            this.txtCopyright.Name = "txtCopyright";
            this.txtCopyright.Size = new System.Drawing.Size(221, 20);
            this.txtCopyright.TabIndex = 31;
            // 
            // label7
            // 
            this.label7.AutoSize = true;
            this.label7.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.label7.ForeColor = System.Drawing.Color.Black;
            this.label7.Location = new System.Drawing.Point(727, 34);
            this.label7.Name = "label7";
            this.label7.Size = new System.Drawing.Size(60, 13);
            this.label7.TabIndex = 32;
            this.label7.Text = "Copyright";
            // 
            // groupBox6
            // 
            this.groupBox6.BackColor = System.Drawing.SystemColors.Window;
            this.groupBox6.Controls.Add(this.rbNetCore);
            this.groupBox6.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.groupBox6.ForeColor = System.Drawing.Color.Black;
            this.groupBox6.Location = new System.Drawing.Point(25, 57);
            this.groupBox6.Name = "groupBox6";
            this.groupBox6.Size = new System.Drawing.Size(416, 53);
            this.groupBox6.TabIndex = 34;
            this.groupBox6.TabStop = false;
            this.groupBox6.Text = "Framework";
            // 
            // rbNetCore
            // 
            this.rbNetCore.AutoSize = true;
            this.rbNetCore.Checked = true;
            this.rbNetCore.ForeColor = System.Drawing.Color.Black;
            this.rbNetCore.Location = new System.Drawing.Point(10, 19);
            this.rbNetCore.Name = "rbNetCore";
            this.rbNetCore.Size = new System.Drawing.Size(45, 17);
            this.rbNetCore.TabIndex = 1;
            this.rbNetCore.TabStop = true;
            this.rbNetCore.Text = "Net";
            this.rbNetCore.UseVisualStyleBackColor = true;
            // 
            // tabRelaciones
            // 
            this.tabRelaciones.BackColor = System.Drawing.Color.Transparent;
            this.tabRelaciones.Controls.Add(this.grbConsultas);
            this.tabRelaciones.Controls.Add(this.groupBox4);
            this.tabRelaciones.Location = new System.Drawing.Point(4, 22);
            this.tabRelaciones.Name = "tabRelaciones";
            this.tabRelaciones.Padding = new System.Windows.Forms.Padding(3);
            this.tabRelaciones.Size = new System.Drawing.Size(388, 386);
            this.tabRelaciones.TabIndex = 0;
            this.tabRelaciones.Text = "Relaciones Back";
            // 
            // grbConsultas
            // 
            this.grbConsultas.Controls.Add(this.dgvConsultas);
            this.grbConsultas.Location = new System.Drawing.Point(6, 218);
            this.grbConsultas.Name = "grbConsultas";
            this.grbConsultas.Size = new System.Drawing.Size(360, 158);
            this.grbConsultas.TabIndex = 4;
            this.grbConsultas.TabStop = false;
            this.grbConsultas.Text = "Consultas";
            // 
            // dgvConsultas
            // 
            this.dgvConsultas.AllowUserToAddRows = false;
            this.dgvConsultas.AllowUserToDeleteRows = false;
            dataGridViewCellStyle4.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleLeft;
            dataGridViewCellStyle4.BackColor = System.Drawing.Color.White;
            dataGridViewCellStyle4.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            dataGridViewCellStyle4.ForeColor = System.Drawing.SystemColors.WindowText;
            dataGridViewCellStyle4.SelectionBackColor = System.Drawing.SystemColors.Highlight;
            dataGridViewCellStyle4.SelectionForeColor = System.Drawing.SystemColors.HighlightText;
            dataGridViewCellStyle4.WrapMode = System.Windows.Forms.DataGridViewTriState.True;
            this.dgvConsultas.ColumnHeadersDefaultCellStyle = dataGridViewCellStyle4;
            this.dgvConsultas.ColumnHeadersHeightSizeMode = System.Windows.Forms.DataGridViewColumnHeadersHeightSizeMode.AutoSize;
            this.dgvConsultas.Columns.AddRange(new System.Windows.Forms.DataGridViewColumn[] {
            this.colConsultasIndice,
            this.colConsultasNombre,
            this.colConsultasbtnScript});
            this.dgvConsultas.Location = new System.Drawing.Point(6, 15);
            this.dgvConsultas.Name = "dgvConsultas";
            this.dgvConsultas.ReadOnly = true;
            this.dgvConsultas.Size = new System.Drawing.Size(348, 137);
            this.dgvConsultas.TabIndex = 0;
            this.dgvConsultas.CellContentClick += new System.Windows.Forms.DataGridViewCellEventHandler(this.dgvConsultas_CellContentClick);
            // 
            // colConsultasIndice
            // 
            this.colConsultasIndice.DataPropertyName = "ConsultaId";
            this.colConsultasIndice.HeaderText = "Id";
            this.colConsultasIndice.Name = "colConsultasIndice";
            this.colConsultasIndice.ReadOnly = true;
            this.colConsultasIndice.Visible = false;
            // 
            // colConsultasNombre
            // 
            this.colConsultasNombre.AutoSizeMode = System.Windows.Forms.DataGridViewAutoSizeColumnMode.AllCells;
            this.colConsultasNombre.DataPropertyName = "ConsultaNombre";
            this.colConsultasNombre.HeaderText = "Objeto DTO";
            this.colConsultasNombre.Name = "colConsultasNombre";
            this.colConsultasNombre.ReadOnly = true;
            this.colConsultasNombre.Width = 89;
            // 
            // colConsultasbtnScript
            // 
            this.colConsultasbtnScript.AutoSizeMode = System.Windows.Forms.DataGridViewAutoSizeColumnMode.AllCells;
            this.colConsultasbtnScript.HeaderText = "Script";
            this.colConsultasbtnScript.Name = "colConsultasbtnScript";
            this.colConsultasbtnScript.ReadOnly = true;
            this.colConsultasbtnScript.Width = 40;
            // 
            // groupBox4
            // 
            this.groupBox4.Controls.Add(this.btnAgregarRelacion);
            this.groupBox4.Controls.Add(this.txtNombreObjeto);
            this.groupBox4.Controls.Add(this.label6);
            this.groupBox4.Controls.Add(this.dgvRelaciones);
            this.groupBox4.Location = new System.Drawing.Point(6, 6);
            this.groupBox4.Name = "groupBox4";
            this.groupBox4.Size = new System.Drawing.Size(360, 206);
            this.groupBox4.TabIndex = 3;
            this.groupBox4.TabStop = false;
            // 
            // btnAgregarRelacion
            // 
            this.btnAgregarRelacion.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("btnAgregarRelacion.BackgroundImage")));
            this.btnAgregarRelacion.BackgroundImageLayout = System.Windows.Forms.ImageLayout.Zoom;
            this.btnAgregarRelacion.Location = new System.Drawing.Point(219, 172);
            this.btnAgregarRelacion.Name = "btnAgregarRelacion";
            this.btnAgregarRelacion.Size = new System.Drawing.Size(24, 24);
            this.btnAgregarRelacion.TabIndex = 26;
            this.btnAgregarRelacion.UseVisualStyleBackColor = true;
            this.btnAgregarRelacion.Click += new System.EventHandler(this.btnAgregarRelacion_Click);
            // 
            // txtNombreObjeto
            // 
            this.txtNombreObjeto.Location = new System.Drawing.Point(6, 174);
            this.txtNombreObjeto.Name = "txtNombreObjeto";
            this.txtNombreObjeto.Size = new System.Drawing.Size(210, 20);
            this.txtNombreObjeto.TabIndex = 24;
            // 
            // label6
            // 
            this.label6.AutoSize = true;
            this.label6.Location = new System.Drawing.Point(3, 158);
            this.label6.Name = "label6";
            this.label6.Size = new System.Drawing.Size(93, 13);
            this.label6.TabIndex = 25;
            this.label6.Text = "Nombre del objeto";
            // 
            // dgvRelaciones
            // 
            this.dgvRelaciones.AllowUserToAddRows = false;
            this.dgvRelaciones.AllowUserToDeleteRows = false;
            this.dgvRelaciones.AllowUserToResizeRows = false;
            dataGridViewCellStyle5.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleLeft;
            dataGridViewCellStyle5.BackColor = System.Drawing.Color.White;
            dataGridViewCellStyle5.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            dataGridViewCellStyle5.ForeColor = System.Drawing.SystemColors.WindowText;
            dataGridViewCellStyle5.SelectionBackColor = System.Drawing.SystemColors.Highlight;
            dataGridViewCellStyle5.SelectionForeColor = System.Drawing.SystemColors.HighlightText;
            dataGridViewCellStyle5.WrapMode = System.Windows.Forms.DataGridViewTriState.True;
            this.dgvRelaciones.ColumnHeadersDefaultCellStyle = dataGridViewCellStyle5;
            this.dgvRelaciones.ColumnHeadersHeightSizeMode = System.Windows.Forms.DataGridViewColumnHeadersHeightSizeMode.AutoSize;
            this.dgvRelaciones.Columns.AddRange(new System.Windows.Forms.DataGridViewColumn[] {
            this.colSelect,
            this.colFKNombre,
            this.colFKId,
            this.colTabla,
            this.colColumnas});
            this.dgvRelaciones.Location = new System.Drawing.Point(6, 14);
            this.dgvRelaciones.MultiSelect = false;
            this.dgvRelaciones.Name = "dgvRelaciones";
            this.dgvRelaciones.ReadOnly = true;
            this.dgvRelaciones.RowHeadersVisible = false;
            this.dgvRelaciones.SelectionMode = System.Windows.Forms.DataGridViewSelectionMode.FullRowSelect;
            this.dgvRelaciones.Size = new System.Drawing.Size(348, 141);
            this.dgvRelaciones.TabIndex = 2;
            this.dgvRelaciones.CellClick += new System.Windows.Forms.DataGridViewCellEventHandler(this.dgvRelaciones_CellClick);
            this.dgvRelaciones.CellContentClick += new System.Windows.Forms.DataGridViewCellEventHandler(this.dgvRelaciones_CellContentClick);
            // 
            // colSelect
            // 
            this.colSelect.AutoSizeMode = System.Windows.Forms.DataGridViewAutoSizeColumnMode.AllCells;
            this.colSelect.HeaderText = "Select";
            this.colSelect.Name = "colSelect";
            this.colSelect.ReadOnly = true;
            this.colSelect.Width = 43;
            // 
            // colFKNombre
            // 
            this.colFKNombre.AutoSizeMode = System.Windows.Forms.DataGridViewAutoSizeColumnMode.AllCells;
            this.colFKNombre.DataPropertyName = "FK_Nombre";
            this.colFKNombre.HeaderText = "FK";
            this.colFKNombre.Name = "colFKNombre";
            this.colFKNombre.ReadOnly = true;
            this.colFKNombre.Width = 45;
            // 
            // colFKId
            // 
            this.colFKId.DataPropertyName = "FK_Id";
            this.colFKId.HeaderText = "FkId";
            this.colFKId.Name = "colFKId";
            this.colFKId.ReadOnly = true;
            this.colFKId.Visible = false;
            // 
            // colTabla
            // 
            this.colTabla.AutoSizeMode = System.Windows.Forms.DataGridViewAutoSizeColumnMode.AllCells;
            this.colTabla.DataPropertyName = "TablaRelacion";
            this.colTabla.HeaderText = "Tabla";
            this.colTabla.Name = "colTabla";
            this.colTabla.ReadOnly = true;
            this.colTabla.Width = 59;
            // 
            // colColumnas
            // 
            this.colColumnas.AutoSizeMode = System.Windows.Forms.DataGridViewAutoSizeColumnMode.AllCells;
            this.colColumnas.DataPropertyName = "ColumnasRelacion";
            this.colColumnas.HeaderText = "Columna(s)";
            this.colColumnas.Name = "colColumnas";
            this.colColumnas.ReadOnly = true;
            this.colColumnas.Width = 84;
            // 
            // tabOpciones
            // 
            this.tabOpciones.Controls.Add(this.tabRelaciones);
            this.tabOpciones.Location = new System.Drawing.Point(717, 128);
            this.tabOpciones.Name = "tabOpciones";
            this.tabOpciones.SelectedIndex = 0;
            this.tabOpciones.Size = new System.Drawing.Size(396, 412);
            this.tabOpciones.TabIndex = 28;
            this.tabOpciones.Visible = false;
            // 
            // FormSelector
            // 
            this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
            this.BackColor = System.Drawing.SystemColors.Window;
            this.ClientSize = new System.Drawing.Size(1156, 597);
            this.Controls.Add(this.groupBox6);
            this.Controls.Add(this.label7);
            this.Controls.Add(this.txtCopyright);
            this.Controls.Add(this.txtAutor);
            this.Controls.Add(this.label5);
            this.Controls.Add(this.btnSalir);
            this.Controls.Add(this.btnPrevius);
            this.Controls.Add(this.txtClaseConexion);
            this.Controls.Add(this.label3);
            this.Controls.Add(this.groupBox3);
            this.Controls.Add(this.txtRuta);
            this.Controls.Add(this.btnCarpeta);
            this.Controls.Add(this.checkBox1);
            this.Controls.Add(this.lblstrConexion);
            this.Controls.Add(this.label2);
            this.Controls.Add(this.label1);
            this.Controls.Add(this.lblDataBase);
            this.Controls.Add(this.lblServerName);
            this.Controls.Add(this.groupBox2);
            this.Controls.Add(this.groupBox1);
            this.Controls.Add(this.tabOpciones);
            this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedToolWindow;
            this.Name = "FormSelector";
            this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
            this.Text = "Generador de Clases";
            this.Load += new System.EventHandler(this.Form2_Load);
            this.groupBox1.ResumeLayout(false);
            ((System.ComponentModel.ISupportInitialize)(this.dgvTablas)).EndInit();
            this.groupBox2.ResumeLayout(false);
            ((System.ComponentModel.ISupportInitialize)(this.dgvColumn)).EndInit();
            this.groupBox3.ResumeLayout(false);
            this.groupBox3.PerformLayout();
            this.groupBox6.ResumeLayout(false);
            this.groupBox6.PerformLayout();
            this.tabRelaciones.ResumeLayout(false);
            this.grbConsultas.ResumeLayout(false);
            ((System.ComponentModel.ISupportInitialize)(this.dgvConsultas)).EndInit();
            this.groupBox4.ResumeLayout(false);
            this.groupBox4.PerformLayout();
            ((System.ComponentModel.ISupportInitialize)(this.dgvRelaciones)).EndInit();
            this.tabOpciones.ResumeLayout(false);
            this.ResumeLayout(false);
            this.PerformLayout();

        }

        #endregion

        private System.Windows.Forms.GroupBox groupBox1;
        private System.Windows.Forms.DataGridView dgvTablas;
        private System.Windows.Forms.GroupBox groupBox2;
        private System.Windows.Forms.DataGridView dgvColumn;
        private System.Windows.Forms.Button btnPrevius;
        public System.Windows.Forms.Label lblServerName;
        public System.Windows.Forms.Label lblDataBase;
        private System.Windows.Forms.Label label1;
        private System.Windows.Forms.Label label2;
        public System.Windows.Forms.Label lblstrConexion;
        private System.Windows.Forms.CheckBox checkBox1;
        private System.Windows.Forms.FolderBrowserDialog folderBrowserDialog1;
        private System.Windows.Forms.TextBox txtRuta;
        private System.Windows.Forms.Button btnCarpeta;
        private System.Windows.Forms.GroupBox groupBox3;
        private System.Windows.Forms.CheckedListBox chkListaMetodo;
        private System.Windows.Forms.TextBox txtClaseConexion;
        private System.Windows.Forms.Label label3;
        private System.Windows.Forms.Button btnGenerar;
        private System.Windows.Forms.Button btnSalir;
        private System.Windows.Forms.CheckBox chkClaseConexion;
        private System.Windows.Forms.Button btnView;
        private System.Windows.Forms.TextBox TxtSolucion;
        private System.Windows.Forms.Label label4;
        private System.Windows.Forms.Label label5;
        private System.Windows.Forms.TextBox txtAutor;
        private System.Windows.Forms.TextBox txtCopyright;
        private System.Windows.Forms.Label label7;
        private System.Windows.Forms.GroupBox groupBox6;
        private System.Windows.Forms.RadioButton rbNetCore;
        private System.Windows.Forms.DataGridViewCheckBoxColumn colTab_Select;
        private System.Windows.Forms.DataGridViewTextBoxColumn colSchema;
        private System.Windows.Forms.DataGridViewTextBoxColumn fks;
        private System.Windows.Forms.DataGridViewTextBoxColumn ColTab_Id;
        private System.Windows.Forms.DataGridViewTextBoxColumn colTab_Nombre;
        private System.Windows.Forms.TabPage tabRelaciones;
        private System.Windows.Forms.GroupBox grbConsultas;
        private System.Windows.Forms.DataGridView dgvConsultas;
        private System.Windows.Forms.DataGridViewTextBoxColumn colConsultasIndice;
        private System.Windows.Forms.DataGridViewTextBoxColumn colConsultasNombre;
        private System.Windows.Forms.DataGridViewButtonColumn colConsultasbtnScript;
        private System.Windows.Forms.GroupBox groupBox4;
        private System.Windows.Forms.Button btnAgregarRelacion;
        private System.Windows.Forms.TextBox txtNombreObjeto;
        private System.Windows.Forms.Label label6;
        private System.Windows.Forms.DataGridView dgvRelaciones;
        private System.Windows.Forms.DataGridViewCheckBoxColumn colSelect;
        private System.Windows.Forms.DataGridViewTextBoxColumn colFKNombre;
        private System.Windows.Forms.DataGridViewTextBoxColumn colFKId;
        private System.Windows.Forms.DataGridViewTextBoxColumn colTabla;
        private System.Windows.Forms.DataGridViewTextBoxColumn colColumnas;
        private System.Windows.Forms.TabControl tabOpciones;
    }
}